Nepodařilo se připojit k serveru.
Fórum pro uživatele kancelářského balíku OpenOffice | LibreOffice
 

#1 18. 11. 2010 23:40:10

Lord killer
Člen
Registrace: 9. 12. 2007
Příspěvků: 43

nelze nainstalovat rozšíření do LibO 3.3. beta 3 a OOo 3.3.0 RC5

ahoj, nainstaloval jsem do xubuntu aktuální LibreOffice (build 3.2.99.3) a mám problém s instalací některých rozšíření, např.:

/opt/libreoffice/program$ ./unopkg add ~/Stažené/typoJTB.oxt 

ERROR: bad root element <node> in file:///home/ubuntu/.libreoffice/3/user/uno_packages/cache/registry/com.sun.star.comp.deployment.configuration.PackageRegistryBackend/Smu5f4_/addon.xcu

unopkg failed.

Instalace LibO proběhla pomocí

tar xvf soubor.tar.gz

a

sudo dpkg -i /cesta/DEBS/*.deb 

Jestli se nepletu, tak RC verze OOo 3.3.0 se chovají stejně. Nevíte, jestli něco nedělám špatně nebo jak rozšíření nainstalovat? Instalace rozšíření do defaultního OOo 3.2.1 z repo je bezproblémová.

Offline

#2 19. 11. 2010 05:42:01

j-pastierik
Člen
Registrace: 15. 11. 2004
Příspěvků: 761

Re: nelze nainstalovat rozšíření do LibO 3.3. beta 3 a OOo 3.3.0 RC5

Mne nešli nainštalovať žiadne rozšírenia okrem jazykových. Pozeral som sa na popis k novej verzii OO.o a robia sa tam zmeny pri rozšíreniach - mali by tam byť nové možnosti ohľadne tichých inštalácií, zdieľania... Možno to ešte ladia, už je však RC5, takže sa mi to nepáči.

Offline

#3 19. 11. 2010 16:55:12

Ondra.kl
Člen
Registrace: 30. 9. 2008
Příspěvků: 933

Re: nelze nainstalovat rozšíření do LibO 3.3. beta 3 a OOo 3.3.0 RC5

... mno nevím, ale v průběhu let jsem zachytil několik negativních zkušeností o komplatibilitě Go-oo s rozšířeními OOo. LO jakožto obdoba go-oo / verze go-oo vydaná nadací může mít stejné problémy. Je však faktem že v linuxových repozitářích je obvykle upravená go-oo a nikoli OOo, takže těžko říct.

Offline

#4 20. 11. 2010 09:25:51

j-pastierik
Člen
Registrace: 15. 11. 2004
Příspěvků: 761

Re: nelze nainstalovat rozšíření do LibO 3.3. beta 3 a OOo 3.3.0 RC5

Ondra.kl napsal(a)

... mno nevím, ale v průběhu let jsem zachytil několik negativních zkušeností o komplatibilitě Go-oo s rozšířeními OOo. LO jakožto obdoba go-oo / verze go-oo vydaná nadací může mít stejné problémy. Je však faktem že v linuxových repozitářích je obvykle upravená go-oo a nikoli OOo, takže těžko říct.

Teraz som skúšal oficiálnu verziu Oracle OOo 3.3 RC5 a nešlo to tam, takže chybu netreba hádzať na Go-oo či LibreOffice!

Zaujímavé je však to, že už nainštalované rozšírenia fungovali, takže chybu zatiaľ vidím v inštalačnom procese nových rozšírení.

Offline

#5 21. 11. 2010 13:58:09

Ondra.kl
Člen
Registrace: 30. 9. 2008
Příspěvků: 933

Re: nelze nainstalovat rozšíření do LibO 3.3. beta 3 a OOo 3.3.0 RC5

j-pastierik napsal(a)

Teraz som skúšal oficiálnu verziu Oracle OOo 3.3 RC5 a nešlo to tam, takže chybu netreba hádzať na Go-oo či LibreOffice!.

Vidíte, já to nezkoušel, takže nevím. Proto ani nepíšu, že to JE v go-oo / LO, ale jen sděluji zprostředkovanou negativní zkušenost.

Offline

#6 21. 11. 2010 14:22:01

j-pastierik
Člen
Registrace: 15. 11. 2004
Příspěvků: 761

Re: nelze nainstalovat rozšíření do LibO 3.3. beta 3 a OOo 3.3.0 RC5

Ondra.kl napsal(a)

Vidíte, já to nezkoušel, takže nevím. Proto ani nepíšu, že to JE v go-oo / LO, ale jen sděluji zprostředkovanou negativní zkušenost.

Schválne som to vyskúšal, lebo rozšírenia vytváram. Už som zaznamenal viacero odkazov na internete (aj priamo na http://extensions.services.openoffice.org/), že rozšírenia v OO.o 3.3 nefungujú - v tomto smere sú hlásené aj viaceré issue.

Vyhlasuje to chybu v súbore Addons.xcu, v ktorom sú v rozšírení definované panely nástrojov, menu..., Aj preto je možná inštalácia iba rozšírení pre jazykové slovníky, lebo tie tento súbor neobsahujú (nemajú ani panel nástrojov, ani menu). Z toho istého dôvodu už nainštalované rozšírenia fungujú, lebo panely, menu... sú už v OO.o integrované (súbor Addons.xcu sa používa iba pri inštalácii).

Práve som odhalil, kde je pes zakopaný - od verzie 3.3 musia byť v rozšíreniach dodržané princípy definície panelov nástrojov, menu... presne podľa pravidiel, ktoré boli zanesené niekedy ku koncu dvojkových verzií OO.o. Podobná situácia bola aj pri prvej trojkovej verzii, vtedy sa však začali prísne kontrolovať iba niektoré veci, teraz už všetko. Takže chyba nie je na žiadnej strane - doteraz sa brali do úvahy aj nesprávne zápisy.

Pretože sa dá ťažko predpokladať, že všetky rozšírenia budú upravené pre verziu 3.3, napíšem návod, ako to spraviť. A, samozrejme, čaká ma oprava mojich rozšírení, čo tiež nebude hotové za jeden deň...

Editoval j-pastierik (21. 11. 2010 15:45:25)

Offline

Nepodařilo se připojit k serveru.

Zápatí